function [P_1,P_2,error]=iter_solution(F1_1,F1_2,F2_1,F2_2,p1,p2);
%compute iterative solution of the rational expectations model
max_iter=60000; tol=1e-14;

p11=p1;   p12=1-p1;
p21=1-p2; p22=p2;

F0_1=F1_1; F0_2=F1_2; 
error=1;
for i=1:max_iter
    Fn_1=(eye(3,3)-F2_1*(p11*F0_1+p12*F0_2))\F1_1;
    Fn_2=(eye(3,3)-F2_2*(p21*F0_1+p22*F0_2))\F1_2;
    if( max(max(abs(Fn_1-F0_1)))+max(max(abs(Fn_2-F0_2)))<tol)
        error=0; 
        break;
    end
    F0_1=Fn_1; F0_2=Fn_2;
end

P_1=Fn_1; P_2=Fn_2;





